Index: kdemultimedia/kscd/Messages.sh
===================================================================
--- kdemultimedia/kscd/Messages.sh	(Revision 983143)
+++ kdemultimedia/kscd/Messages.sh	(Arbeitskopie)
@@ -1,4 +1,4 @@
 #! /bin/sh
 $EXTRACTRC `find . -name \*.ui` >> rc.cpp || exit 11
-$XGETTEXT *.cpp gui/*.cpp -o $podir/kscd.pot
+$XGETTEXT *.cpp gui/*h gui/*.cpp -o $podir/kscd.pot
 rm -f rc.cpp
Index: kdemultimedia/kscd/gui/closebutton.h
===================================================================
--- kdemultimedia/kscd/gui/closebutton.h	(Revision 983143)
+++ kdemultimedia/kscd/gui/closebutton.h	(Arbeitskopie)
@@ -37,12 +37,15 @@
 #include <QString>
 #include <kdebug.h>
 #include "kscdwidget.h"
+#include <KLocale>
 
+static const char *closestring = I18N_NOOP("close");
+
 class CloseButton:public KscdWidget
 {
 	Q_OBJECT
 public:
-	explicit CloseButton(QWidget * parent=0, const QString& sName="close");
+	explicit CloseButton(QWidget * parent=0, const QString& sName=closestring);
 	virtual ~CloseButton();
 
 };
Index: kdemultimedia/kscd/gui/volumebutton.h
===================================================================
--- kdemultimedia/kscd/gui/volumebutton.h	(Revision 983143)
+++ kdemultimedia/kscd/gui/volumebutton.h	(Arbeitskopie)
@@ -41,7 +41,10 @@
 #include "kscdwidget.h"
 #include <QWheelEvent>
 #include <math.h>
+#include <KLocale>
 
+static const char *volumestring = I18N_NOOP("volume");
+
 #define wheelStep	2.5
 class VolumeButton:public KscdWidget
 {
@@ -62,7 +65,7 @@
 	qreal valueToAngle(qreal);
 
 public:
-	VolumeButton(QWidget * parent=0, const QString& sName="volume", qreal value=50.0);
+	VolumeButton(QWidget * parent=0, const QString& sName=volumestring, qreal value=50.0);
 	virtual ~VolumeButton();
 	void changeSkin(const QString& newPathSkin);
 	void mousePressEvent(QMouseEvent * event);
Index: kdemultimedia/kscd/gui/nextbutton.h
===================================================================
--- kdemultimedia/kscd/gui/nextbutton.h	(Revision 983143)
+++ kdemultimedia/kscd/gui/nextbutton.h	(Arbeitskopie)
@@ -37,12 +37,15 @@
 #include <QString>
 #include <kdebug.h>
 #include "kscdwidget.h"
+#include <KLocale>
 
+static const char *nextstring = I18N_NOOP("next");
+
 class NextButton:public KscdWidget
 {
 	Q_OBJECT
 public:
-	explicit NextButton(QWidget * parent=0, const QString& sName="next");
+	explicit NextButton(QWidget * parent=0, const QString& sName=nextstring);
 	virtual ~NextButton();
 
 };
Index: kdemultimedia/kscd/gui/stopbutton.h
===================================================================
--- kdemultimedia/kscd/gui/stopbutton.h	(Revision 983143)
+++ kdemultimedia/kscd/gui/stopbutton.h	(Arbeitskopie)
@@ -37,12 +37,15 @@
 #include <QString>
 #include <kdebug.h>
 #include "kscdwidget.h"
+#include <KLocale>
 
+static const char *stopstring = I18N_NOOP("stop");
+
 class StopButton:public KscdWidget
 {
 	Q_OBJECT
 public:
-	explicit StopButton(QWidget * parent=0, const QString& sName="stop");
+	explicit StopButton(QWidget * parent=0, const QString& sName=stopstring);
 	virtual ~StopButton();
 
 };
Index: kdemultimedia/kscd/gui/kscdwidget.cpp
===================================================================
--- kdemultimedia/kscd/gui/kscdwidget.cpp	(Revision 983143)
+++ kdemultimedia/kscd/gui/kscdwidget.cpp	(Arbeitskopie)
@@ -35,7 +35,7 @@
 #include <QRegion>
 #include <QPixmap>
 #include <QBitmap>
-
+#include "klocale.h"
 KscdWidget::KscdWidget(const QString& sName,QWidget * parent):QWidget(parent)
 {
 	m_state = "default";
@@ -113,7 +113,7 @@
 	m_state = "over";
 	m_id = m_name + '_' + m_state;
 	emit(needRepaint());
-	setToolTip(m_name);
+	setToolTip( i18n( qPrintable( m_name ) ) );
 }
 
 void KscdWidget::leaveEvent (QEvent * event )
Index: kdemultimedia/kscd/gui/tracklistbutton.h
===================================================================
--- kdemultimedia/kscd/gui/tracklistbutton.h	(Revision 983143)
+++ kdemultimedia/kscd/gui/tracklistbutton.h	(Arbeitskopie)
@@ -37,12 +37,15 @@
 #include <QString>
 #include <kdebug.h>
 #include "kscdwidget.h"
+#include <KLocale>
 
+static const char *trackliststring = I18N_NOOP("tracklist");
+
 class TrackListButton:public KscdWidget
 {
 	Q_OBJECT
 public:
-	explicit TrackListButton(QWidget * parent=0, const QString& sName="tracklist");
+	explicit TrackListButton(QWidget * parent=0, const QString& sName=trackliststring);
 	virtual ~TrackListButton();
 
 };
Index: kdemultimedia/kscd/gui/playbutton.h
===================================================================
--- kdemultimedia/kscd/gui/playbutton.h	(Revision 983143)
+++ kdemultimedia/kscd/gui/playbutton.h	(Arbeitskopie)
@@ -38,12 +38,15 @@
 #include <QMouseEvent>
 #include <kdebug.h>
 #include "kscdwidget.h"
+#include <KLocale>
 
+static const char *playstring = I18N_NOOP("play");
+
 class PlayButton:public KscdWidget
 {
 	Q_OBJECT
 public:
-	explicit PlayButton(QWidget * parent=0, const QString& sName="play");
+	explicit PlayButton(QWidget * parent=0, const QString& sName=playstring);
 	virtual ~PlayButton();
 	void mousePressEvent(QMouseEvent * event);
 	void mouseReleaseEvent(QMouseEvent * event);
Index: kdemultimedia/kscd/gui/loopbutton.h
===================================================================
--- kdemultimedia/kscd/gui/loopbutton.h	(Revision 983143)
+++ kdemultimedia/kscd/gui/loopbutton.h	(Arbeitskopie)
@@ -38,13 +38,15 @@
 #include <QMouseEvent>
 #include <kdebug.h>
 #include "kscdwidget.h"
+#include <KLocale>
 
+static const char *loopstring = I18N_NOOP("loop");
 
 class LoopButton:public KscdWidget
 {
 	Q_OBJECT
 public:
-	explicit LoopButton(QWidget * parent=0, const QString& sName="loop");
+	explicit LoopButton(QWidget * parent=0, const QString& sName=loopstring);
 	virtual ~LoopButton();
 	void mousePressEvent(QMouseEvent * event);
 	void mouseReleaseEvent(QMouseEvent * event);
Index: kdemultimedia/kscd/gui/mutebutton.h
===================================================================
--- kdemultimedia/kscd/gui/mutebutton.h	(Revision 983143)
+++ kdemultimedia/kscd/gui/mutebutton.h	(Arbeitskopie)
@@ -39,12 +39,15 @@
 #include <QMouseEvent>
 #include <kdebug.h>
 #include "kscdwidget.h"
+#include <KLocale>
 
+static const char *mutestring = I18N_NOOP("mute");
+
 class MuteButton:public KscdWidget
 {
 	Q_OBJECT
 public:
-	explicit MuteButton(QWidget * parent=0, const QString& sName="mute");
+	explicit MuteButton(QWidget * parent=0, const QString& sName=mutestring);
 	virtual ~MuteButton();
 	void mousePressEvent(QMouseEvent * event);
 	void mouseReleaseEvent(QMouseEvent * event);
Index: kdemultimedia/kscd/gui/previousbutton.h
===================================================================
--- kdemultimedia/kscd/gui/previousbutton.h	(Revision 983143)
+++ kdemultimedia/kscd/gui/previousbutton.h	(Arbeitskopie)
@@ -38,13 +38,16 @@
 #include <QString>
 #include <kdebug.h>
 #include "kscdwidget.h"
+#include <KLocale>
 
+static const char *previousstring = I18N_NOOP("previous");
 
+
 class PreviousButton:public KscdWidget
 {
 	Q_OBJECT
 public:
-	explicit PreviousButton(QWidget * parent=0, const QString& sName="previous");
+	explicit PreviousButton(QWidget * parent=0, const QString& sName=previousstring);
 	virtual ~PreviousButton();
 
 };
Index: kdemultimedia/kscd/gui/randombutton.h
===================================================================
--- kdemultimedia/kscd/gui/randombutton.h	(Revision 983143)
+++ kdemultimedia/kscd/gui/randombutton.h	(Arbeitskopie)
@@ -39,12 +39,15 @@
 #include <QEvent>
 #include <kdebug.h>
 #include "kscdwidget.h"
+#include <KLocale>
 
+static const char *randomstring = I18N_NOOP("random");
+
 class RandomButton:public KscdWidget
 {
 	Q_OBJECT
 public:
-	explicit RandomButton(QWidget * parent=0, const QString& sName="random");
+	explicit RandomButton(QWidget * parent=0, const QString& sName=randomstring);
 	virtual ~RandomButton();
 	void mousePressEvent(QMouseEvent * event);
 	void mouseReleaseEvent(QMouseEvent * event);
Index: kdemultimedia/kscd/gui/minimizebutton.h
===================================================================
--- kdemultimedia/kscd/gui/minimizebutton.h	(Revision 983143)
+++ kdemultimedia/kscd/gui/minimizebutton.h	(Arbeitskopie)
@@ -37,12 +37,15 @@
 #include <QString>
 #include <kdebug.h>
 #include "kscdwidget.h"
+#include <KLocale>
 
+static const char *minimizestring = I18N_NOOP("minimize");
+
 class MinimizeButton:public KscdWidget
 {
 	Q_OBJECT
 public:
-	explicit MinimizeButton(QWidget * parent=0, const QString& sName="minimize");
+	explicit MinimizeButton(QWidget * parent=0, const QString& sName=minimizestring);
 	virtual ~MinimizeButton();
 
 };
Index: kdemultimedia/kscd/gui/ejectbutton.h
===================================================================
--- kdemultimedia/kscd/gui/ejectbutton.h	(Revision 983143)
+++ kdemultimedia/kscd/gui/ejectbutton.h	(Arbeitskopie)
@@ -37,13 +37,15 @@
 #include <QString>
 #include <kdebug.h>
 #include "kscdwidget.h"
+#include <KLocale>
 
+static const char *ejectstring = I18N_NOOP("eject");
 
 class EjectButton:public KscdWidget
 {
 	Q_OBJECT
 public:
-	explicit EjectButton(QWidget * parent=0, const QString& sName="eject");
+	explicit EjectButton(QWidget * parent=0, const QString& sName=ejectstring);
 	virtual ~EjectButton();
 
 };
